com.hazelcast.util

## Class UuidUtil

- java.lang.Object
- - com.hazelcast.util.UuidUtil

-     public final class UuidUtil
      extends Object

  Util class to generate type 4 (pseudo randomly generated) `UUID`.

  Creates `UUID` of different quality of randomness, which are based on cryptographically weak `Random` and strong `SecureRandom` pseudo random number generators.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `createClientUuid(Address endpoint)` Creates a new client `UUID` string, based on a cryptographically weak pseudo random number generator.
    `static String` | `createClusterUuid()` Creates a new cluster `UUID` string, based on a cryptographically weak pseudo random number generator.
    `static String` | `createMemberUuid(Address endpoint)` Creates a new member `UUID` string, based on a cryptographically weak pseudo random number generator.
    `static UUID` | `newSecureUUID()` Static factory to retrieve a type 4 (pseudo randomly generated) UUID.
    `static String` | `newSecureUuidString()` Static factory to retrieve a type 4 (pseudo randomly generated) UUID based string.
    `static UUID` | `newUnsecureUUID()` Static factory to retrieve a type 4 (pseudo randomly generated) UUID.
    `static String` | `newUnsecureUuidString()` Static factory to retrieve a type 4 (pseudo randomly generated) UUID based string.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### createClusterUuid

          public static String createClusterUuid()

      Creates a new cluster `UUID` string, based on a cryptographically weak pseudo random number generator.
      Returns:
        a new cluster `UUID` string

    - #### createMemberUuid

          public static String createMemberUuid(Address endpoint)

      Creates a new member `UUID` string, based on a cryptographically weak pseudo random number generator.
      Returns:
        a new member `UUID` string

    - #### createClientUuid

          public static String createClientUuid(Address endpoint)

      Creates a new client `UUID` string, based on a cryptographically weak pseudo random number generator.
      Returns:
        a new client `UUID` string

    - #### newUnsecureUuidString

          public static String newUnsecureUuidString()

      Static factory to retrieve a type 4 (pseudo randomly generated) UUID based string. The `UUID` string is generated using a cryptographically weak pseudo random number generator.
      Returns:
        A randomly generated `UUID` base string

    - #### newSecureUuidString

          public static String newSecureUuidString()

      Static factory to retrieve a type 4 (pseudo randomly generated) UUID based string. The `UUID` string is generated using a cryptographically strong pseudo random number generator.
      Returns:
        A randomly generated `UUID` base string

    - #### newUnsecureUUID

          public static UUID newUnsecureUUID()

      Static factory to retrieve a type 4 (pseudo randomly generated) UUID. The `UUID` is generated using a cryptographically weak pseudo random number generator.
      Returns:
        A randomly generated `UUID`

    - #### newSecureUUID

          public static UUID newSecureUUID()

      Static factory to retrieve a type 4 (pseudo randomly generated) UUID. The `UUID` is generated using a cryptographically strong pseudo random number generator.
      Returns:
        A randomly generated `UUID`

Copyright © 2020. All rights reserved.